/* interface.h --- interface definitions */

/* Copyright (c) E. Lassauge, 2000.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation.
 *
 * This file is provided AS IS with no warranties of any kind.  The author
 * shall have no liability with respect to the infringement of copyrights,
 * trade secrets or any patents by this file or any part thereof.  In no
 * event will the author be liable for any lost revenue or profits or
 * other special, indirect and consequential damages.
 *
 * mailto:lassauge@mail.dotcom.fr
 * http://lassauge.free.fr/
 *
 * REVISION HISTORY:
 *
 */

#ifndef _INTERFACE_H
#define _INTERFACE_H

GtkWidget   *about;
GtkWidget   *scripts;
GtkWidget   *preferences;
GtkWidget   *gnome_smssend;
GtkWidget   *notebook;
GtkTooltips *tooltips;
gint	    numprovider;

GtkWidget *create_message(void);
GtkWidget *create_about(void);
GtkWidget *create_scripts(void);
GtkWidget *create_preferences(void);
GtkWidget *create_gnome_smssend(void);

PProvider_t create_provider(const char filename[]);
void create_notebook(void);

#endif
